Members of the KDE Community are recommended to subscribe to the kde-community mailing list at https://mail.kde.org/mailman/listinfo/kde-community to allow them to participate in important discussions and receive other important announcements

Port ECMPackageConfigHelpers -> CMakePackageConfigHelpers

parent 649a72ad
......@@ -14,11 +14,11 @@ set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
set(KONQUEROR_LIB_VERSION "5.0.97")
set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")
......
......@@ -30,7 +30,7 @@ endif()
# CMake files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Konq")
ecm_configure_package_config_file(
configure_package_config_file(
"${CMAKE_CURRENT_SOURCE_DIR}/KF5KonqConfig.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/KF5KonqConfig.cmake"
INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
......
@PACKAGE_INIT@
​include(CMakeFindDependencyMacro)
find_dependency(KF5XmlGui)
find_dependency(KF5Config)
find_dependency(KF5KIO)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment